我正在尝试构建 LALSuite。我已将其 Git 存储库克隆到 lalsuite 文件夹中。该文件夹包含一个名为 00boot 的文件。根据官方的说明,我在 bash 中运行 ./00boot 而在文件夹的目录中。我收到以下错误:
00boot: running autoreconf
configure.ac.7: error: required file 'src/LALFrameVCSInfo.c.in' not found
configure.ac.7: error: required file 'src/LALFrameVCSInfo.h.in' not found
autoreconf: automake failed with exit status: 1
!!! ./00boot: autoreconf failed
00boot的内容:
#!/bin/sh
## function to print error message and exit
fail () {
echo "!!! $0: $1" >&2
exit 1
}
## check script is being run from top-level source directory
test "$0" = "./00boot" || fail "must be run from top-level source directory"
## remove M4 cache files
rm -rf autom4te.cache/
rm -f aclocal.m4
# FIXME: autoreconf from Ubuntu 9.10 (and probably also from recent
# Debian versions) automatically run libtoolize with the --copy option
# therefore over writing the supplied libtool scripts with system
# version. This can lead to unexpected build failures therefore to work
# round this "feature" we set the LIBTOOLIZE enviroment variable to
# point to the the true executable which bypasses the running of
# libtoolize, this will not effect the vast majority of users and those
# it will effect will know how to run libtoolize, if required.
## run autoreconf
AUTORECONF=${AUTORECONF:-"autoreconf"}
echo "00boot: running ${AUTORECONF}"
LIBTOOLIZE=true ${AUTORECONF} || fail "${AUTORECONF} failed"
echo "
==================================================
00boot has been run successfully.
Now run './configure' with appropriate options
to configure LALSuite.
==================================================
"
问题是这两个文件都存在于 lalsuite/lalframe/src 中。为什么控制台说它们不存在/找不到它们,我该如何解决?提前致谢。